Subject: bug#67220: 30.0.50; ERC 5.6: Prefer parameter-driven MODE processing in ERC

From: "J.P." <[email-masked]>
Date: Thu, 25 Jan 2024 13:45:33 -0800

"J.P." <[email-masked]> writes:

> "J.P." <[email-masked]> writes:
>
>> Tags: patch
>>
>> In the early days of IRC, parsing a "MODE" command from the server was
>> comparatively straightforward. There were a few well known letters, some
>> taking a single argument, and a standard set of status prefixes. But
>> somewhere along the line, things got more complicated, and it seems ERC
>> never got the memo. While it may appear obvious that sticking to a
>> hard-coded, heuristics based approach doesn't really accommodate ERC's
>> core tenet of extensibility, the risk of shifting toward something more
>> parameter driven was probably never justifiable without a vocal demand.
>
> In the initial set of changes, I only partially implemented PREFIX-aware
> channel-membership handling (here and in bug#67677, for the formatting
> side). The main reason for this omission was that I mistakenly assumed
> the lack of a valid use case for doing so. However, a latent clue in our
> own test suite attesting to the contrary was staring me in the face the
> whole time (until I unceremoniously erased it [1]). Since then, I've
> come around on this and now think we might as well see it through the
> somewhat arduous last mile. See attached.
>
> Thanks.
>
> [1] https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=4939f413
>     ^ Grep for "Yqaohv".

The mentioned changes have been installed as:

  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=aedc8b55

This bug is already closed.